models/Libros.php
<?php

namespace app\models;

use Yii;

/**
 * This is the model class for table "libros".
 *
 * @property int $id
 * @property string|null $titulo
 * @property int|null $autor
 * @property int|null $año
 * @property string|null $idioma
 * @property string|null $editorial
 * @property int|null $isbn
 */
class Libros extends \yii\db\ActiveRecord
{
    /**
     * {@inheritdoc}
     */
    public static function tableName()
    {
        return 'libros';
    }

    /**
     * {@inheritdoc}
     */
    public function rules()
    {
        return [
            [['autor', 'año', 'isbn'], 'integer'],
            [['titulo', 'editorial'], 'string', 'max' => 50],
            [['portada'], 'string', 'max' => 255],
            [['idioma'], 'string', 'max' => 20],
            [['autor'], 'exist', 'skipOnError' => true, 'targetClass' => Autores::className(), 'targetAttribute' => ['autor' => 'id']],
        ];
    }

    /**
     * {@inheritdoc}
     */
    public function attributeLabels()
    {
        return [
            'id' => 'ID',
            'titulo' => 'Titulo',
            'autor' => 'Autor',
            'año' => 'Año',
            'idioma' => 'Idioma',
            'editorial' => 'Editorial',
            'isbn' => 'Isbn',
            'portada' => 'Portada',
        ];
    }

    /**
     * Gets query for [[Autor0]].
     *
     * @return \yii\db\ActiveQuery
     */
    public function getAutor0()
    {
        return $this->hasOne(Autores::className(), ['id' => 'autor']);
    }
    
}

controllers/SiteController.php
<?php

namespace app\controllers;

use Yii;
use yii\filters\AccessControl;
use yii\web\Controller;
use yii\web\Response;
use yii\filters\VerbFilter;
use app\models\Libros;
use app\models\Autores;
use app\models\Entradas;
use yii\data\ActiveDataProvider;

class SiteController extends Controller
{
    /**
     * {@inheritdoc}
     */
    public function behaviors()
    {
        return [
            'access' => [
                'class' => AccessControl::className(),
                'only' => ['logout'],
                'rules' => [
                    [
                        'actions' => ['logout'],
                        'allow' => true,
                        'roles' => ['@'],
                    ],
                ],
            ],
            'verbs' => [
                'class' => VerbFilter::className(),
                'actions' => [
                    'logout' => ['post'],
                ],
            ],
        ];
    }

    /**
     * {@inheritdoc}
     */
    public function actions()
    {
        return [
            'error' => [
                'class' => 'yii\web\ErrorAction',
            ],
            'captcha' => [
                'class' => 'yii\captcha\CaptchaAction',
                'fixedVerifyCode' => YII_ENV_TEST ? 'testme' : null,
            ],
        ];
    }

    /**
     * Displays homepage.
     *
     * @return string
     
    public function actionIndex()
    {
        return $this->render('index');
    }
    */
    public function actionIndex()
    {
        $numReg = Entradas::find()->count();
        $random = random_int(0, $numReg - 1);
        $texto = Entradas::find()->offset($random)->one();
        
        return $this->render('index',[
            'texto' => $texto,
        ]);
    }
    
    public function actionLibros()
    {
        $query=Libros::find();
        
        $dataProvider = new ActiveDataProvider([
            'query' => $query,
            'pagination' => [
                'pageSize' => 3,
            ],
        ]);
        
        return $this->render('libros',[
            'data'=>$dataProvider,
        ]);
    }
    
    public function actionAutores()
    {
        $query=Autores::find();
        
        $dataProvider = new ActiveDataProvider([
            'query' => $query,
            'pagination' => [
                'pageSize' => 3,
            ],
        ]);
        
        return $this->render('autores',[
            'data'=>$dataProvider,
        ]);
    }
}

views/site/_autores.php
  <div  class="col-sm-5 col-md-5">
    <div class="thumbnail">
      <div class="caption altura1"> <?= \yii\helpers\Html::img("@web/image/" . $model->foto,[
            'alt'=>"alternativo",
            'class'=>'foto1'
        ]) ?>
          
        <h3><?= $model->nombre ?></h3>
        <p><?= $model->biografia ?></p>
      </div>
    </div>
  </div>

views/site/_libros.php
<div  class="col-sm-5 col-md-5">
    <div class="thumbnail">
      <div class="caption altura1"> <?= \yii\helpers\Html::img("@web/image/" . $model->portada,[
            'alt'=>"alternativo",
            'class'=>'foto1'
        ]) ?>
          
        
        <h3><?= $model->titulo ?></h3>
        <p>de <?= $model->autor0->nombre ?></p>
        <p>Año: <?= $model->año ?></p>
        <p>Idioma: <?= $model->idioma ?></p>
        <p>Editorial: <?= $model->editorial ?></p>
        <p>ISBN: <?= $model->isbn ?></p>
      </div>
    </div>
  </div>

views/site/autores.php
<?php
use yii\widgets\ListView;

/* @var $this yii\web\View */
$this->title = 'My Yii Application';
?>
<div  class="row">

    <?= ListView::widget([
    'dataProvider' => $data,
    'itemView' => '_autores',
    
]);
?>
</div>

views/site/error.php
<?php

/* @var $this yii\web\View */
/* @var $name string */
/* @var $message string */
/* @var $exception Exception */

use yii\helpers\Html;

$this->title = $name;
?>
<div class="site-error">

    <h1><?= Html::encode($this->title) ?></h1>

    <div class="alert alert-danger">
        <?= nl2br(Html::encode($message)) ?>
    </div>

    <p>
        The above error occurred while the Web server was processing your request.
    </p>
    <p>
        Please contact us if you think this is a server error. Thank you.
    </p>

</div>

views/site/index.php
<?php

/* @var $this yii\web\View */
use yii\widgets\ListView;

?>

<div class="site-index">
    <div class="jumbotron">
        <h1 class="display-4"><?= $texto-> texto ?></h1>
    </div>
</div>

views/site/libros.php
<?php
use yii\widgets\ListView;

/* @var $this yii\web\View */
$this->title = 'My Yii Application';
?>
<div  class="row">

    <?= ListView::widget([
    'dataProvider' => $data,
    'itemView' => '_libros',
    
]);
?>
</div>